﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace SilverlightApplication1
{
	public class TileToFluideStateConverter : IValueConverter
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="value"></param>
		/// <param name="targetType"></param>
		/// <param name="parameter"></param>
		/// <param name="culture"></param>
		/// <returns></returns>
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value is TileViewItemState)
			{
				var tileState = (TileViewItemState)value;
				switch (tileState)
				{
					case TileViewItemState.Restored:
						return FluidContentControlState.Normal;
					case TileViewItemState.Maximized:
						return FluidContentControlState.Large;
					case TileViewItemState.Minimized:
						return FluidContentControlState.Small;
				}
			}
			return FluidContentControlState.Normal;
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="value"></param>
		/// <param name="targetType"></param>
		/// <param name="parameter"></param>
		/// <param name="culture"></param>
		/// <returns></returns>
		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value is FluidContentControlState)
			{
				var fluideState = (FluidContentControlState)value;
				switch (fluideState)
				{
					case FluidContentControlState.Large:
						return TileViewItemState.Maximized;
					case FluidContentControlState.Normal:
						return TileViewItemState.Restored;
					case FluidContentControlState.Small:
						return TileViewItemState.Minimized;
				}
			}
			return TileViewItemState.Restored;
		}
	}
}
